package ru.redguy.webinfomod.langs;

import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import ru.redguy.webinfomod.Config;
import ru.redguy.webinfomod.langs.enums.RootCategories;
import org.apache.commons.io.IOUtils;

import java.io.*;
import java.nio.charset.StandardCharsets;

public class LangFile {
    private JsonObject jsonObject;
    public LangFile(Config config) throws IOException {
        JsonParser parser = new JsonParser();
        Object obj = parser.parse(
                IOUtils.toString(
                        LangFile.class.getResourceAsStream(
                                "/resources/langs/"+config.getString("lang")+".json"
                        ), StandardCharsets.UTF_8));
        jsonObject = (JsonObject) obj;
    }

    public LangFile(JsonObject jsonObject) {
        this.jsonObject = jsonObject;
    }

    public RootCategory getCategory(RootCategories category) {
        switch (category) {
            case Links:
                return new Links(jsonObject.getAsJsonObject("Links"));
            case Titles:
                return new Titles(jsonObject.getAsJsonObject("Titles"));
            case Words:
                return new Words(jsonObject.getAsJsonObject("Words"));
        }
        return null;
    }
}
